> ## Documentation Index
> Fetch the complete documentation index at: https://docs.sonect.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Start order

> Informs the integrating partner that a transaction is initiated for a given amount. If response is positive funds are considered secured, but payment is not yet executed.



## OpenAPI

````yaml 13 post /api/sonect/startwithdrawal
openapi: 3.0.0
info:
  title: finAPI Access Product - V2
  version: 1.0.0
servers:
  - url: http://127.0.0.1:3000
security: []
tags:
  - name: '** 1. Pre- Requirements  **'
  - name: 'Use Case 1a: Import, Update & get Account info (demo bank)'
  - name: >-
      Use Case 1a: Import, Update & get Account info (demo bank) > 2. Import a
      bank connection
  - name: >-
      Use Case 1a: Import, Update & get Account info (demo bank) > 3. Update
      bank connection
  - name: >-
      Use Case 1a: Import, Update & get Account info (demo bank) > 4. Get
      Accounts & Transactions
  - name: 'Use Case 1b:  Import, Update & get Account info (Real Bank)'
  - name: >-
      Use Case 1b:  Import, Update & get Account info (Real Bank) > 2. Import a
      bank connection
  - name: >-
      Use Case 1b:  Import, Update & get Account info (Real Bank) > 3. Update
      bank connection
  - name: >-
      Use Case 1b:  Import, Update & get Account info (Real Bank) > 4. Get
      Accounts & Transactions
  - name: 'Use Case 2 : Standalone payment'
  - name: 'Use Case 2 : Standalone payment > 2. Create Payment'
  - name: 'Use Case 2 : Standalone payment > 3. Check Payment Status'
  - name: 'Use Case 3 : Payment with accountId'
  - name: 'Use Case 3 : Payment with accountId > 2. Create Payment'
  - name: 'Use Case 3 : Payment with accountId > 3. Check Payment Status'
  - name: 'Use Case 4: Direct debit'
  - name: 'Use Case 4: Direct debit > 2. Create Payment'
  - name: 'Use Case 4: Direct debit > 3. Check Payment Status'
  - name: 'Use Case 5: Standing Orders'
  - name: 'Use Case 5: Standing Orders > 2. Create Payment'
  - name: 'Use Case 5: Standing Orders > 3. Check Payment Status'
  - name: '** Clean up **'
paths:
  /api/sonect/startwithdrawal:
    post:
      summary: Start order
      description: >-
        Informs the integrating partner that a transaction is initiated for a
        given amount. If response is positive funds are considered secured, but
        payment is not yet executed.
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/startOrderRequest'
      responses:
        '200':
          description: Successful response
          content:
            application/json: {}
      security:
        - bearerAuth: []
components:
  schemas:
    startOrderRequest:
      type: object
      properties:
        userId:
          type: string
        amount:
          type: string
        dateOfTransaction:
          type: string
        expiryTimeOfTheOrder:
          type: string
        sonectTransactionReferenceId:
          type: string
        store:
          type: string
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````